Groovy 1.7.0

## org.codehaus.groovy.tools.shell.util
Class ANSI.Renderer

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.ANSI.Renderer

    class ANSI.Renderer

Nested Class Summary
`class` | `ANSI.Renderer.RenderException`

Field Summary
`static String` | `BEGIN_TOKEN`
`static String` | `CODE_LIST_SEPARATOR`
`static String` | `CODE_TEXT_SEPARATOR`
`static String` | `END_TOKEN`

Constructor Summary
`ANSI.Renderer()`

Method Summary
`static String` | `encode(String text, int code)`
`String` | `render(String input)`
`static boolean` | `test(String text)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### BEGIN_TOKEN

    static final String BEGIN_TOKEN

### CODE_LIST_SEPARATOR

    static final String CODE_LIST_SEPARATOR

### CODE_TEXT_SEPARATOR

    static final String CODE_TEXT_SEPARATOR

### END_TOKEN

    static final String END_TOKEN

Constructor Detail

### ANSI.Renderer

    ANSI.Renderer()

Method Detail

### encode

    public static String encode(String text, int code)

### render

    public String render(String input)

### test

    public static boolean test(String text)

Copyright © 2003-2009 The Codehaus. All rights reserved.